| Home | Libraries | People | FAQ | More

## Function template is_partitioned

boost::compute::is_partitioned

## Synopsis

    // In header: <boost/compute/algorithm/is_partitioned.hpp>

    template<typename InputIterator, typename UnaryPredicate>
      bool is_partitioned(InputIterator first, InputIterator last,
                          UnaryPredicate predicate,
                          command_queue & queue = system::default_queue());

## Description

Returns `true` if the values in the range [`first`, `last`) are partitioned according to `predicate`.

Space complexity: \Omega(1)